> ## Documentation Index
> Fetch the complete documentation index at: https://developer.surecart.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Countries

> Returns a list of all countries.



## OpenAPI

````yaml /openapi/v1/public.json get /v1/public/atlas
openapi: 3.1.0
info:
  title: SureCart Public API
  description: Public API endpoints that don't require authentication
  termsOfService: https://surecart.com/terms-and-conditions
  version: '1.0'
servers:
  - url: https://{defaultHost}
    variables:
      defaultHost:
        default: api.surecart.com
security:
  - bearer_auth: []
tags:
  - name: Abandonded Checkouts
    description: >-
      An abandonded checkout represents a customer's most recent incomplete
      checkout.

      When a checkout is associated with a customer and is left unpaid for 30
      minutes a corresponding abandoned checkout is created. Only one abandoned
      checkout will be created per customer every 10 days.
  - name: Abandoned Checkout Protocols
    description: >-
      An abandoned checkout protocol represents the abandoned checkout settings
      for an account.
  - name: Accounts
    description: >-
      This is an object representing a SureCart account. You can retrieve it to
      see properties on the account like it's current - name or default
      currency.
  - name: Activations
    description: An activation represents a single use of a license.
  - name: Affiliation Products
    description: >-
      An affiliation product allows for setting a specific commission structure
      for a product and affiliation.
  - name: Affiliation Protocols
    description: An affiliation protocol represents the affiliate settings for an account.
  - name: Affiliation Requests
    description: >-
      An affiliation request represents a request from an affiliate to join an
      account's affiliate program.
  - name: Affiliations
    description: >-
      An affiliation represents a relationship between an affiliate and an
      account.
  - name: Balance Transactions
    description: >-
      You may modify a customer's balance by creating a balance transaction,
      which increments or decrements the customer's balance by the specified
      amount.
  - name: Balances
    description: >-
      Each customer has a balance value for each currency, which denotes a debit
      or credit that's automatically applied to their next invoice upon
      finalizing.
  - name: Brands
    description: A brand represents the design and branding settings for an account.
  - name: Bulk Actions
    description: >-
      A bulk action is a way to perform a single action on multiple resources at
      once.
  - name: Bumps
    description: >-
      A bump represents a price that will be conditionally recommended to
      customers during checkout. Bumps are displayed below the checkout summary
      and offer an easy way to add additional products to the checkout. They are
      a more powerful alternative to swaps, but they are more intrusive to the
      checkout experience.
  - name: Cancellation Acts
    description: A cancellation act represents a customer attempt to cancel a subscription.
  - name: Cancellation Reasons
    description: >-
      Cancellation reasons are specific reasons that a customer can select from
      when cancelling a subscription.
  - name: Charges
    description: >-
      A Charge represents a credit or debit card transaction that was captured
      through one of your processors. Only succesfully captured charges are
      recorded in SureCart.
  - name: Checkouts
    description: >-
      A checkout represents a collection of one-time and/or subscription
      products that a customer intends to purchase.
  - name: Checkout Portal Protocols
    description: >-
      A checkout portal protocol represents the checkout portal settings for an
      account.
  - name: Clicks
    description: >-
      A click is a record of a customer clicking on an affiliate link. Click
      records are associated with checkouts to create referrals.
  - name: Coupons
    description: >-
      A coupon contains information about a percent-off or amount-off discount.

      The coupon object can be used to discount either one-time payments or
      subscriptions. There are some additional parameters that apply to
      subscriptions, but are not applicable to one-time payments, such as
      duration. Regardless of what duration is set to, it only applies once for
      one-time payments.
  - name: Customer Links
    description: >-
      Customer links are temporary objects that allow access to customers
      through email lookup.

      Each customer link is valid for the greater of 1 hour after it's
      `created_at` time or 1 hour after it's `first_used_at` time. This means
      that if a customer link is not used within the first hour it expires. If a
      customer link is used within the first hour then it is valid for another
      hour starting from the time it was first used. So, a customer link that is
      used 30min after it's created will be valid for a total of 1hr 30min.
  - name: Customer Notification Protocols
    description: >-
      A customer notification protocol represents the customer notification
      settings for an account.
  - name: Customers
    description: >-
      Customer objects allow you to perform recurring charges, and to track
      multiple charges, that are associated with the same customer.
  - name: Customer Portal Protocols
    description: >-
      A customer portal protocol represents the customer portal settings for an
      account.
  - name: Display Currencies
    description: >-
      Display currencies are the currencies that are available to customers from
      the currency selector on your store.
  - name: Downloads
    description: >-
      Downloads represent the medias that can be downloaded when a specific
      product is purchased.
  - name: Events
    description: >-
      Events are our way of letting you know when something interesting happens
      in your account. When an interesting event occurs, we create a new `Event`
      object. For example, when a subscription updates, we create a
      `subscription.updated` event.
  - name: Exports
    description: Exports allow you to download your raw data from your SureCart account.
  - name: Fees
    description: >-
      A fee represents an additional amount added or subtracted from a specific
      line item.
  - name: Fulfillment Items
    description: >-
      A fulfillment item represents a specific line item being shipped to a
      customer within a fulfillment.
  - name: Fulfillments
    description: >-
      A fulfillment represents a shipment of products within an order to a
      customer.
  - name: Imports
    description: >-
      Imports allow you to upload raw data into your SureCart account to batch
      create customers, products, subscriptions, etc.
  - name: Invoices
    description: >-
      Invoices are statements of amounts owed by a customer. They wrap a
      checkout and can be configured to collect payment automatically or be sent
      to the customer for payment.
  - name: Licenses
    description: >-
      A license represents permission for a customer to use a specific product.
      Each license has an auto-generated `key` which can be used with the public
      license endpoints.
  - name: Line Items
    description: >-
      A line item represents a price and it's quantity being purchased by a
      customer within a checkout.
  - name: Manual Charges
    description: >-
      A manual charge represents record of a payment that was captured outside
      of SureCart.
  - name: Manual Payment Methods
    description: >-
      Manual payment methods are used to allow customers to checkout with manual
      approval – i.e. cash on delivery, bank transfers, etc.
  - name: Medias
    description: >-
      Medias represent files that are hosted on our servers. Medias are uploaded
      directly to the underlying hosting service. To learn more about how medias
      work, please contact support.
  - name: Notes
    description: >-
      Notes are snippets of text that can be attached to objects to provide
      extra context. Notes can be added to `Customer`, `Order`, and
      `Subscription` objects.
  - name: Order Protocols
    description: A order protocol represents the order settings for an account.
  - name: Orders
    description: >-
      An order is a customer's completed request to purchase one or more
      products. An order is created when a checkout is paid.
  - name: Parcel Templates
    description: >-
      A parcel template is a saved set of package dimensions and weight that can
      be reused for shipping calculations.
  - name: Payment Failures
    description: A payment failure represents an attempt to pay a checkout that failed.
  - name: Payment Intents
    description: >-
      A payment intent represents the process of collecting a payment method
      from your customer.
  - name: Payment Methods
    description: Payment method objects represent your customer's payment instruments.
  - name: Payout Groups
    description: A payout group represents a group of payouts that are created together.
  - name: Payouts
    description: A payout represents a payment to an affiliate.
  - name: Periods
    description: A period represents a billing interval for a subscription.
  - name: Prices
    description: >-
      Prices define the unit cost, currency, and (optional) billing cycle for
      both recurring and one-time purchases of products. Products help you track
      inventory or provisioning, and prices help you track payment terms.
      Different physical goods or levels of service should be represented by
      products, and pricing options should be represented by prices.

      This approach lets you change prices without having to change your
      provisioning scheme. For example, you might have a single \"gold\" product
      that has prices for $10/month, $100/year, and €9 once.
  - name: Processors
    description: >-
      A processor represents a connection to a third-party payment processor
      like Stripe.
  - name: Product Collections
    description: A list of related products - used to categorize products.
  - name: Product Groups
    description: >-
      A group of related products – used to configure which products a customer
      can switch between when updating a subscription.
  - name: Product Medias
    description: Product medias represent a product's images.
  - name: Products
    description: >-
      Products describe the specific goods or services you offer to your
      customers. For example, you might offer a Standard and Premium version of
      your goods or service; each version would be a separate Product. They can
      be used in conjunction with Prices to configure pricing and Subscriptions.
  - name: Promotions
    description: >-
      A Promotion represents a customer-redeemable code for a coupon. It can be
      used to create multiple codes for a single coupon.
  - name: Purchases
    description: >-
      A purchase represents a specific product that a customer has paid for
      (one-time products), or is currently paying for (recurring products via a
      subscription). The purchase model is a summary of all products that a
      customer current should have "access" to.
  - name: Referral Items
    description: A referral item represents a specific line item within a referral.
  - name: Referrals
    description: A referral represents a checkout that is associated with an affiliate.
  - name: Refunds
    description: >-
      Refund objects allow you to refund a charge that has previously been
      created but not yet refunded. Funds will be refunded to the credit or
      debit card that was originally charged.
  - name: Return Items
    description: >-
      A return item represents a specific line item being returned from a
      customer within a return request.
  - name: Return Requests
    description: >-
      A return request represents a return of products within an order from a
      customer.
  - name: Reviews
    description: A review represents a customer's review of a product.
  - name: Review Medias
    description: Review medias represent the media that is associated with a review.
  - name: Review Protocols
    description: A review protocol represents the review settings for an account.
  - name: Shipments
    description: >-
      A shipment represents a package being sent via a shipping provider (e.g.
      Shippo) with rate quoting, label purchasing, and tracking.
  - name: Shipping Methods
    description: >-
      Shipping methods represent the different speeds/classes of shipping that a
      store offers – i.e. `Express`, `Ground`, etc.
  - name: Shipping Profiles
    description: >-
      A shipping profile is a grouping of products that have the same shipping
      zones and rates. Each product can belong to one shipping profile.
  - name: Shipping Protocols
    description: A shipping protocol represents the shipping settings for an account.
  - name: Shipping Rates
    description: >-
      Shipping rates represent the specific rules for determining the cost of
      shipping based on the products within a checkout.
  - name: Shipping Zones
    description: >-
      A shipping zone represents a geographical (group of countries) boundary
      for setting specific shipping rates within a shipping profile.
  - name: Statistics
    description: A group of endpoints that provide high level statistics on resources.
  - name: Subscription Protocols
    description: >-
      A subscription protocol represents the subscription settings for an
      account.
  - name: Subscriptions
    description: >-
      A Subscription represents a recurring schedule to charge a customer on one
      of your processors.
  - name: Swaps
    description: >-
      A swap represents a price that will be conditionally recommended to
      customers during checkout. Swaps are displayed in the checkout summary and
      can be easily toggled on or off. They are non-intrusive alternative to
      bumps, and offer customers an easy way to flip between two prices.
  - name: Tax Overrides
    description: >-
      A tax override is a manual tax rate that will be applied to products in a
      collection or shipping within a specific tax zone.
  - name: Tax Protocols
    description: A tax protocol represents the tax settings for an account.
  - name: Tax Registrations
    description: >-
      A tax registration represents a tax zone that is enabled for an account.
      Taxes will not be calculated for checkouts within a tax zone unless a
      matching tax registration exists.
  - name: Tax Zones
    description: >-
      A tax zone represents a geographic area (country and state combinations)
      that taxes can be calculated for.
  - name: Trackings
    description: >-
      A tracking represents the tracking number information from a shipping
      courier.
  - name: Upsell Funnels
    description: >-
      An upsell funnel represents a group of upsells that will be presented to
      customers after checkout in a specific order.
  - name: Upsells
    description: >-
      An upsell represents a price (maybe discounted) that will be offered to
      customers after checkout.
  - name: Variant Options
    description: >-
      Variant options represent the custom properties of a product – i.e.
      `Size`, `Color`, etc.
  - name: Variant Values
    description: >-
      Variant values represent the custom values of a specific variant option.
      For example, a variant option named `Color` could have variant values of
      `Red` and `Blue`.
  - name: Variants
    description: >-
      A variant represents one version of a product with several options. Each
      product can have a maximum of three variant options and a maximum of 100
      variants.
  - name: Warehouses
    description: >-
      A warehouse represents a "ship from" address that can be set as the
      account default for outbound shipments.
  - name: Verification Codes
    description: >-
      Verification codes are short-lived authentication codes that can be used
      to verify access to an email address. They provide a secure way of
      granting access to the customer portal without requiring the customer to
      have a password.

      Each verification code is valid for 10 minutes, and you are limited to
      creating 1 every minute per email address.
  - name: Webhook Endpoints
    description: >-
      You can configure webhook endpoints via the API to be notified about
      events that happen in your SureCart account.

      Most users configure webhooks from the dashboard, which provides a user
      interface for registering and testing your webhook endpoints.
paths:
  /v1/public/atlas:
    get:
      tags:
        - Atlas
      summary: List Countries
      description: Returns a list of all countries.
      operationId: list_countries_atla
      parameters:
        - name: locale
          in: query
          description: >-
            The locale to use when returning the country information. Must
            follow CLDR locale format (e.g., "en", "en-US"). Unsupported or
            invalid locales will fall back to "en".
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              example:
                object: list
                data:
                  - code: AF
                    name: Afghanistan
                    states_count: 0
                  - code: AX
                    name: Åland Islands
                    states_count: 0
                  - code: AL
                    name: Albania
                    states_count: 0
                  - code: DZ
                    name: Algeria
                    states_count: 0
                  - code: AD
                    name: Andorra
                    states_count: 0
                  - code: AO
                    name: Angola
                    states_count: 0
                  - code: AI
                    name: Anguilla
                    states_count: 0
                  - code: AG
                    name: Antigua & Barbuda
                    states_count: 0
                  - code: AR
                    name: Argentina
                    states_count: 24
                  - code: AM
                    name: Armenia
                    states_count: 0
                  - code: AW
                    name: Aruba
                    states_count: 0
                  - code: AC
                    name: Ascension Island
                    states_count: 0
                  - code: AU
                    name: Australia
                    states_count: 8
                  - code: AT
                    name: Austria
                    states_count: 0
                  - code: AZ
                    name: Azerbaijan
                    states_count: 0
                  - code: BS
                    name: Bahamas
                    states_count: 0
                  - code: BH
                    name: Bahrain
                    states_count: 0
                  - code: BD
                    name: Bangladesh
                    states_count: 0
                  - code: BB
                    name: Barbados
                    states_count: 0
                  - code: BY
                    name: Belarus
                    states_count: 0
                  - code: BE
                    name: Belgium
                    states_count: 0
                  - code: BZ
                    name: Belize
                    states_count: 0
                  - code: BJ
                    name: Benin
                    states_count: 0
                  - code: BM
                    name: Bermuda
                    states_count: 0
                  - code: BT
                    name: Bhutan
                    states_count: 0
                  - code: BO
                    name: Bolivia
                    states_count: 0
                  - code: BA
                    name: Bosnia & Herzegovina
                    states_count: 0
                  - code: BW
                    name: Botswana
                    states_count: 0
                  - code: BV
                    name: Bouvet Island
                    states_count: 0
                  - code: BR
                    name: Brazil
                    states_count: 27
                  - code: IO
                    name: British Indian Ocean Territory
                    states_count: 0
                  - code: BN
                    name: Brunei
                    states_count: 0
                  - code: BG
                    name: Bulgaria
                    states_count: 0
                  - code: BF
                    name: Burkina Faso
                    states_count: 0
                  - code: BI
                    name: Burundi
                    states_count: 0
                  - code: KH
                    name: Cambodia
                    states_count: 0
                  - code: CA
                    name: Canada
                    states_count: 13
                  - code: CV
                    name: Cape Verde
                    states_count: 0
                  - code: BQ
                    name: Caribbean Netherlands
                    states_count: 0
                  - code: KY
                    name: Cayman Islands
                    states_count: 0
                  - code: CF
                    name: Central African Republic
                    states_count: 0
                  - code: TD
                    name: Chad
                    states_count: 0
                  - code: CL
                    name: Chile
                    states_count: 16
                  - code: CN
                    name: China
                    states_count: 31
                  - code: CX
                    name: Christmas Island
                    states_count: 0
                  - code: CC
                    name: Cocos (Keeling) Islands
                    states_count: 0
                  - code: CO
                    name: Colombia
                    states_count: 33
                  - code: KM
                    name: Comoros
                    states_count: 0
                  - code: CG
                    name: Congo - Brazzaville
                    states_count: 0
                  - code: CD
                    name: Congo - Kinshasa
                    states_count: 0
                  - code: CK
                    name: Cook Islands
                    states_count: 0
                  - code: CR
                    name: Costa Rica
                    states_count: 7
                  - code: HR
                    name: Croatia
                    states_count: 0
                  - code: CU
                    name: Cuba
                    states_count: 0
                  - code: CW
                    name: Curaçao
                    states_count: 0
                  - code: CY
                    name: Cyprus
                    states_count: 0
                  - code: CZ
                    name: Czechia
                    states_count: 0
                  - code: CI
                    name: Côte d’Ivoire
                    states_count: 0
                  - code: DK
                    name: Denmark
                    states_count: 0
                  - code: DJ
                    name: Djibouti
                    states_count: 0
                  - code: DM
                    name: Dominica
                    states_count: 0
                  - code: DO
                    name: Dominican Republic
                    states_count: 0
                  - code: EC
                    name: Ecuador
                    states_count: 0
                  - code: EG
                    name: Egypt
                    states_count: 29
                  - code: SV
                    name: El Salvador
                    states_count: 14
                  - code: GQ
                    name: Equatorial Guinea
                    states_count: 0
                  - code: ER
                    name: Eritrea
                    states_count: 0
                  - code: EE
                    name: Estonia
                    states_count: 0
                  - code: SZ
                    name: Eswatini
                    states_count: 0
                  - code: ET
                    name: Ethiopia
                    states_count: 0
                  - code: FK
                    name: Falkland Islands
                    states_count: 0
                  - code: FO
                    name: Faroe Islands
                    states_count: 0
                  - code: FJ
                    name: Fiji
                    states_count: 0
                  - code: FI
                    name: Finland
                    states_count: 0
                  - code: FR
                    name: France
                    states_count: 0
                  - code: GF
                    name: French Guiana
                    states_count: 0
                  - code: PF
                    name: French Polynesia
                    states_count: 0
                  - code: TF
                    name: French Southern Territories
                    states_count: 0
                  - code: GA
                    name: Gabon
                    states_count: 0
                  - code: GM
                    name: Gambia
                    states_count: 0
                  - code: GE
                    name: Georgia
                    states_count: 0
                  - code: DE
                    name: Germany
                    states_count: 0
                  - code: GH
                    name: Ghana
                    states_count: 0
                  - code: GI
                    name: Gibraltar
                    states_count: 0
                  - code: GR
                    name: Greece
                    states_count: 0
                  - code: GL
                    name: Greenland
                    states_count: 0
                  - code: GD
                    name: Grenada
                    states_count: 0
                  - code: GP
                    name: Guadeloupe
                    states_count: 0
                  - code: GT
                    name: Guatemala
                    states_count: 22
                  - code: GG
                    name: Guernsey
                    states_count: 0
                  - code: GN
                    name: Guinea
                    states_count: 0
                  - code: GW
                    name: Guinea-Bissau
                    states_count: 0
                  - code: GY
                    name: Guyana
                    states_count: 0
                  - code: HT
                    name: Haiti
                    states_count: 0
                  - code: HM
                    name: Heard & McDonald Islands
                    states_count: 0
                  - code: VA
                    name: Vatican City
                    states_count: 0
                  - code: HN
                    name: Honduras
                    states_count: 0
                  - code: HK
                    name: Hong Kong SAR
                    states_count: 3
                  - code: HU
                    name: Hungary
                    states_count: 0
                  - code: IS
                    name: Iceland
                    states_count: 0
                  - code: IN
                    name: India
                    states_count: 37
                  - code: ID
                    name: Indonesia
                    states_count: 34
                  - code: IR
                    name: Iran
                    states_count: 0
                  - code: IQ
                    name: Iraq
                    states_count: 0
                  - code: IE
                    name: Ireland
                    states_count: 26
                  - code: IM
                    name: Isle of Man
                    states_count: 0
                  - code: IL
                    name: Israel
                    states_count: 0
                  - code: IT
                    name: Italy
                    states_count: 110
                  - code: JM
                    name: Jamaica
                    states_count: 0
                  - code: JP
                    name: Japan
                    states_count: 47
                  - code: JE
                    name: Jersey
                    states_count: 0
                  - code: JO
                    name: Jordan
                    states_count: 0
                  - code: KZ
                    name: Kazakhstan
                    states_count: 0
                  - code: KE
                    name: Kenya
                    states_count: 0
                  - code: KI
                    name: Kiribati
                    states_count: 0
                  - code: KP
                    name: North Korea
                    states_count: 0
                  - code: XK
                    name: Kosovo
                    states_count: 0
                  - code: KW
                    name: Kuwait
                    states_count: 6
                  - code: KG
                    name: Kyrgyzstan
                    states_count: 0
                  - code: LA
                    name: Laos
                    states_count: 0
                  - code: LV
                    name: Latvia
                    states_count: 0
                  - code: LB
                    name: Lebanon
                    states_count: 0
                  - code: LS
                    name: Lesotho
                    states_count: 0
                  - code: LR
                    name: Liberia
                    states_count: 0
                  - code: LY
                    name: Libya
                    states_count: 0
                  - code: LI
                    name: Liechtenstein
                    states_count: 0
                  - code: LT
                    name: Lithuania
                    states_count: 0
                  - code: LU
                    name: Luxembourg
                    states_count: 0
                  - code: MO
                    name: Macao SAR
                    states_count: 0
                  - code: MG
                    name: Madagascar
                    states_count: 0
                  - code: MW
                    name: Malawi
                    states_count: 0
                  - code: MY
                    name: Malaysia
                    states_count: 16
                  - code: MV
                    name: Maldives
                    states_count: 0
                  - code: ML
                    name: Mali
                    states_count: 0
                  - code: MT
                    name: Malta
                    states_count: 0
                  - code: MQ
                    name: Martinique
                    states_count: 0
                  - code: MR
                    name: Mauritania
                    states_count: 0
                  - code: MU
                    name: Mauritius
                    states_count: 0
                  - code: YT
                    name: Mayotte
                    states_count: 0
                  - code: MX
                    name: Mexico
                    states_count: 32
                  - code: MD
                    name: Moldova
                    states_count: 0
                  - code: MC
                    name: Monaco
                    states_count: 0
                  - code: MN
                    name: Mongolia
                    states_count: 0
                  - code: ME
                    name: Montenegro
                    states_count: 0
                  - code: MS
                    name: Montserrat
                    states_count: 0
                  - code: MA
                    name: Morocco
                    states_count: 0
                  - code: MZ
                    name: Mozambique
                    states_count: 0
                  - code: MM
                    name: Myanmar (Burma)
                    states_count: 0
                  - code: NA
                    name: Namibia
                    states_count: 0
                  - code: NR
                    name: Nauru
                    states_count: 0
                  - code: NP
                    name: Nepal
                    states_count: 0
                  - code: NL
                    name: Netherlands
                    states_count: 0
                  - code: AN
                    name: Netherlands Antilles
                    states_count: 0
                  - code: NC
                    name: New Caledonia
                    states_count: 0
                  - code: NZ
                    name: New Zealand
                    states_count: 0
                  - code: NI
                    name: Nicaragua
                    states_count: 0
                  - code: NE
                    name: Niger
                    states_count: 0
                  - code: NG
                    name: Nigeria
                    states_count: 37
                  - code: NU
                    name: Niue
                    states_count: 0
                  - code: NF
                    name: Norfolk Island
                    states_count: 0
                  - code: MK
                    name: North Macedonia
                    states_count: 0
                  - code: 'NO'
                    name: Norway
                    states_count: 0
                  - code: OM
                    name: Oman
                    states_count: 0
                  - code: PK
                    name: Pakistan
                    states_count: 0
                  - code: PS
                    name: Palestinian Territories
                    states_count: 0
                  - code: PA
                    name: Panama
                    states_count: 13
                  - code: PG
                    name: Papua New Guinea
                    states_count: 0
                  - code: PY
                    name: Paraguay
                    states_count: 0
                  - code: PE
                    name: Peru
                    states_count: 26
                  - code: PH
                    name: Philippines
                    states_count: 82
                  - code: PN
                    name: Pitcairn Islands
                    states_count: 0
                  - code: PL
                    name: Poland
                    states_count: 0
                  - code: PT
                    name: Portugal
                    states_count: 20
                  - code: QA
                    name: Qatar
                    states_count: 0
                  - code: CM
                    name: Cameroon
                    states_count: 0
                  - code: RE
                    name: Réunion
                    states_count: 0
                  - code: RO
                    name: Romania
                    states_count: 42
                  - code: RU
                    name: Russia
                    states_count: 83
                  - code: RW
                    name: Rwanda
                    states_count: 0
                  - code: BL
                    name: St. Barthélemy
                    states_count: 0
                  - code: SH
                    name: St. Helena
                    states_count: 0
                  - code: KN
                    name: St. Kitts & Nevis
                    states_count: 0
                  - code: LC
                    name: St. Lucia
                    states_count: 0
                  - code: MF
                    name: St. Martin
                    states_count: 0
                  - code: PM
                    name: St. Pierre & Miquelon
                    states_count: 0
                  - code: WS
                    name: Samoa
                    states_count: 0
                  - code: SM
                    name: San Marino
                    states_count: 0
                  - code: ST
                    name: São Tomé & Príncipe
                    states_count: 0
                  - code: SA
                    name: Saudi Arabia
                    states_count: 0
                  - code: SN
                    name: Senegal
                    states_count: 0
                  - code: RS
                    name: Serbia
                    states_count: 0
                  - code: SC
                    name: Seychelles
                    states_count: 0
                  - code: SL
                    name: Sierra Leone
                    states_count: 0
                  - code: SG
                    name: Singapore
                    states_count: 0
                  - code: SX
                    name: Sint Maarten
                    states_count: 0
                  - code: SK
                    name: Slovakia
                    states_count: 0
                  - code: SI
                    name: Slovenia
                    states_count: 0
                  - code: SB
                    name: Solomon Islands
                    states_count: 0
                  - code: SO
                    name: Somalia
                    states_count: 0
                  - code: ZA
                    name: South Africa
                    states_count: 9
                  - code: GS
                    name: South Georgia & South Sandwich Islands
                    states_count: 0
                  - code: KR
                    name: South Korea
                    states_count: 17
                  - code: SS
                    name: South Sudan
                    states_count: 0
                  - code: ES
                    name: Spain
                    states_count: 52
                  - code: LK
                    name: Sri Lanka
                    states_count: 0
                  - code: VC
                    name: St. Vincent & Grenadines
                    states_count: 0
                  - code: SD
                    name: Sudan
                    states_count: 0
                  - code: SR
                    name: Suriname
                    states_count: 0
                  - code: SJ
                    name: Svalbard & Jan Mayen
                    states_count: 0
                  - code: SE
                    name: Sweden
                    states_count: 0
                  - code: CH
                    name: Switzerland
                    states_count: 0
                  - code: SY
                    name: Syria
                    states_count: 0
                  - code: TW
                    name: Taiwan
                    states_count: 0
                  - code: TJ
                    name: Tajikistan
                    states_count: 0
                  - code: TZ
                    name: Tanzania
                    states_count: 0
                  - code: TH
                    name: Thailand
                    states_count: 78
                  - code: TL
                    name: Timor-Leste
                    states_count: 0
                  - code: TG
                    name: Togo
                    states_count: 0
                  - code: TK
                    name: Tokelau
                    states_count: 0
                  - code: TO
                    name: Tonga
                    states_count: 0
                  - code: TT
                    name: Trinidad & Tobago
                    states_count: 0
                  - code: TA
                    name: Tristan da Cunha
                    states_count: 0
                  - code: TN
                    name: Tunisia
                    states_count: 0
                  - code: TR
                    name: Türkiye
                    states_count: 0
                  - code: TM
                    name: Turkmenistan
                    states_count: 0
                  - code: TC
                    name: Turks & Caicos Islands
                    states_count: 0
                  - code: TV
                    name: Tuvalu
                    states_count: 0
                  - code: UG
                    name: Uganda
                    states_count: 0
                  - code: UA
                    name: Ukraine
                    states_count: 0
                  - code: AE
                    name: United Arab Emirates
                    states_count: 7
                  - code: GB
                    name: United Kingdom
                    states_count: 0
                  - code: US
                    name: United States
                    states_count: 62
                  - code: UM
                    name: U.S. Outlying Islands
                    states_count: 0
                  - code: UY
                    name: Uruguay
                    states_count: 19
                  - code: UZ
                    name: Uzbekistan
                    states_count: 0
                  - code: VU
                    name: Vanuatu
                    states_count: 0
                  - code: VE
                    name: Venezuela
                    states_count: 25
                  - code: VN
                    name: Vietnam
                    states_count: 0
                  - code: VG
                    name: British Virgin Islands
                    states_count: 0
                  - code: WF
                    name: Wallis & Futuna
                    states_count: 0
                  - code: EH
                    name: Western Sahara
                    states_count: 0
                  - code: YE
                    name: Yemen
                    states_count: 0
                  - code: ZM
                    name: Zambia
                    states_count: 0
                  - code: ZW
                    name: Zimbabwe
                    states_count: 0
              schema:
                $ref: '#/components/schemas/list_response'
components:
  schemas:
    list_response:
      type: object
      properties:
        object:
          type: string
          description: A string describing the object type returned.
        pagination:
          type: object
          properties:
            count:
              type: integer
              description: The total number of items.
            limit:
              type: integer
              nullable: true
              description: >-
                The number of items per page. The default is `20` and the
                maximum is `100`.
            page:
              type: integer
              nullable: true
              description: The current page.
        data:
          type: array
          description: An array of objects.
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer

````